FeatureParser.h File Reference
`#include <iostream>`
`#include <string>`
`#include <map>`
`#include "MolChemicalFeatureDef.h"`

Go to the source code of this file.

## Classes

class | RDKit::FeatureFileParseException
| class used to indicate errors in parsing feature definition files. More...

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::Local

## Functions

int | RDKit::parseFeatureData (const std::string &defnText, MolChemicalFeatureDef::CollectionType &featDefs)
int | RDKit::parseFeatureData (std::istream &istream, MolChemicalFeatureDef::CollectionType &featDefs)
int | RDKit::parseFeatureFile (const std::string &fileName, MolChemicalFeatureDef::CollectionType &featDefs)
void | RDKit::Local::parseAtomType (const std::string &inLine, std::map< std::string, std::string > &atomTypeDefs, const unsigned int &lineNo)
MolChemicalFeatureDef * | RDKit::Local::parseFeatureDef (std::istream &inStream, const std::string &inLine, unsigned int &lineNo, const std::map< std::string, std::string > &atomTypeDefs)